## ros-indigo-ros-ethernet-rmp 0.0.8

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(ros_ethernet_rmp)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS rospy)

###################################################
## Declare things to be passed to other projects ##
###################################################

## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package()

#############
## Install ##
#############

## Mark executable scripts (Python etc.) for installation
install(PROGRAMS
  scripts/ethernet_rmp.py
  scripts/rmp_pose_updater.py
  scripts/rmp_joint_state.py
  scripts/rmp_config_limits.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Copy launch files
install(DIRECTORY launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
)

=== debian/changelog ===
ros-indigo-ros-ethernet-rmp (0.0.8-0trusty) trusty; urgency=high

  * Changed args in launch file so that they can be overriden
  * Contributors: David Kent

 -- Russell Toris <rctoris@wpi.edu>  Tue, 10 Feb 2015 05:00:00 -0000

ros-indigo-ros-ethernet-rmp (0.0.7-0trusty) trusty; urgency=high

  * Added approximation of caster wheel orientaiton
  * Contributors: David Kent

 -- Russell Toris <rctoris@wpi.edu>  Mon, 19 Jan 2015 05:00:00 -0000

ros-indigo-ros-ethernet-rmp (0.0.6-0trusty) trusty; urgency=high

  * fixed wheel direction for joint state publisher to work correctly with the fixed urdf
  * Contributors: dekent

 -- Russell Toris <rctoris@wpi.edu>  Tue, 02 Sep 2014 04:00:00 -0000

ros-indigo-ros-ethernet-rmp (0.0.5-0trusty) trusty; urgency=high

  * Merge pull request #17 from cmdunkers/develop
    updated yaw accel limit
  * updated the yaw_accel_limit
  * Merge branch 'develop' of https://github.com/cmdunkers/ros_ethernet_rmp into develop
  * Merge pull request #2 from WPI-RAIL/develop
    cmdunkers
  * Merge pull request #1 from WPI-RAIL/develop
    updates
  * fixed joint state publisher issue
  * Contributors: Chris Dunkers, Russell Toris, cmdunkers

 -- Russell Toris <rctoris@wpi.edu>  Fri, 15 Aug 2014 04:00:00 -0000

ros-indigo-ros-ethernet-rmp (0.0.4-0trusty) trusty; urgency=high

  * fixed looking for wrong packages
  * travis now pull messages from source
  * moved messages to rmp_msgs
  * Merge pull request #16 from cmdunkers/develop
    changed to rmp_msgs
  * changed to rmp_msgs
  * Battery monitor added to travis
  * fixed CMakeLists bug
  * Merge pull request #15 from cmdunkers/develop
    direction!
  * direction!
  * Merge pull request #14 from cmdunkers/develop
    radians!
  * radians!
  * missing thing
  * launch file fix
  * Merge pull request #12 from cmdunkers/develop
    Fixed issues with the wheel joint state
  * fixed the modulo
  * Fixed issues with the wheel joint state
    added the battery monitor to the launch file
  * Contributors: Chris Dunkers, David Kent, Russell Toris, dekent

 -- Russell Toris <rctoris@wpi.edu>  Tue, 05 Aug 2014 04:00:00 -0000

ros-indigo-ros-ethernet-rmp (0.0.3-0trusty) trusty; urgency=high

  * Merge pull request #11 from cmdunkers/develop
    added in joint state publisher from the segway feedback for the wheels
  * added the correct joint lint names
  * fixed package name
  * added a joint state publisher for the wheels based ont he feedback
  * Contributors: Chris Dunkers, Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Wed, 30 Jul 2014 04:00:00 -0000

ros-indigo-ros-ethernet-rmp (0.0.2-0trusty) trusty; urgency=high

  * Merge pull request #10 from cmdunkers/develop
    fixed the yaw rates for carl
  * fixed the yaw rates for carl
  * Contributors: Chris Dunkers, Russell Toris

 -- Russell Toris <rctoris@wpi.edu>  Tue, 29 Jul 2014 04:00:00 -0000

ros-indigo-ros-ethernet-rmp (0.0.1-0trusty) trusty; urgency=high

  * Merge pull request #9 <https://github.com/WPI-RAIL/ros_ethernet_rmp/issues/9> from cmdunkers/develop
    Added a param to publish or not to publish the odometry transform for th...
  * Added a param to publish or not to publish the odometry transform for the pose update
  * Merge pull request #8 <https://github.com/WPI-RAIL/ros_ethernet_rmp/issues/8> from cmdunkers/develop
    fixed rotation for the segway from RHR to +ve is clockwise
  * fixed rotation for the segway from RHR to +ve is clockwise
  * Merge pull request #7 <https://github.com/WPI-RAIL/ros_ethernet_rmp/issues/7> from cmdunkers/develop
    made odom reference base_footprint
  * changed the odom to be with respect to the base_footprint
  * Merge pull request #2 <https://github.com/WPI-RAIL/ros_ethernet_rmp/issues/2> from WPI-RAIL/develop
    renamed functions to underscores
  * rename functions to underscores
  * Merge pull request #6 <https://github.com/WPI-RAIL/ros_ethernet_rmp/issues/6> from cmdunkers/develop
    Fixed the config parameters bug
  * Fixed the issue of the user defined parameters not being set
  * Found issue with config upload
  * Merge pull request #5 <https://github.com/WPI-RAIL/ros_ethernet_rmp/issues/5> from cmdunkers/develop
    cleaned up the ethernet_rmp and pose updater files
  * fixed up the large if else statement and cleaned up the pose updater
  * Merge branch 'develop' of https://github.com/WPI-RAIL/ros_ethernet_rmp into develop
    Conflicts:
    AUTHORS.md
  * more cleanup
  * cleanup
  * cleanup of pose stuff
  * renamed some things
  * message cleanup
  * cleanup and travis
  * fixed authors
  * Merge pull request #1 <https://github.com/WPI-RAIL/ros_ethernet_rmp/issues/1> from cmdunkers/develop
    Added initial ROS wrapper nodes
  * added git ignore
  * cleanup
  * Basic Cleanup
  * fixed params issues
  * made a check for the parameters and made them all rosparams
  * Fixed a few bugs and defined thermpCommand message
  * added comd_vel and RMP_COMMAND
  * worte and modified the ROS side of the segway interface
  * Initial commit
  * Contributors: Chris Dunkers, Russell Toris, cmdunkers

 -- Russell Toris <rctoris@wpi.edu>  Wed, 23 Jul 2014 04:00:00 -0000

=== debian/control ===
Source: ros-indigo-ros-ethernet-rmp
Section: misc
Priority: extra
Maintainer: Russell Toris <rctoris@wpi.edu>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-rospy
Homepage: http://ros.org/wiki/ros_ethernet_rmp
Standards-Version: 3.9.2

Package: ros-indigo-ros-ethernet-rmp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-battery-monitor-rmp, ros-indigo-geometry-msgs, ros-indigo-nav-msgs, ros-indigo-rmp-msgs, ros-indigo-rospy, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-tf
Description: ROS Wrapper for the Segway RMP Ethernet Python Driver

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-ros-ethernet-rmp//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
